# Package org.apache.mina.proxy

- Interface Summary
  Interface | Description
  --- | ---
  ProxyLogicHandler | ProxyLogicHandler.java - Interface implemented by classes containing proxy type specific logic.

- Class Summary
  Class | Description
  --- | ---
  AbstractProxyIoHandler | AbstractProxyIoHandler.java - `IoHandler` that intercepts events until handshake is complete.
  AbstractProxyLogicHandler | AbstractProxyLogicHandler.java - Helper class to handle proxy handshaking logic.
  ProxyConnector | ProxyConnector.java - Decorator for `SocketConnector` to provide proxy support, as suggested by MINA list discussions.

- Exception Summary
  Exception | Description
  --- | ---
  ProxyAuthException | ProxyAuthException.java - This class extends `SaslException` and represents an authentication failure to the proxy.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.